VisualStudioソリューションファイル生成時のヘッダーの設定を正しくする 
説明

http://svn.openrtm.org/OpenRTM-aist/trunk/OpenRTM-aist/build/slntool.py の修正
現状のままでもビルドには全く問題ないのだが、訂正するもの
現在の設定

vcversions�=�{....
��������������"VC12":�{"sln":�"13.00",�"vc":�"2013"},
��������������"VC14":�{"sln":�"14.00",�"vc":�"2015"},
��������������"VC15":�{"sln":�"15.00",�"vc":�"2017"},

ソリューションファイルのヘッダーは以下となっている
参考：　https://gist.github.com/JamesSkemp/bbe17351ecdf6b1d6e07

Microsoft�Visual�Studio�Solution�File,�Format�Version�12.00
#�Visual�Studio�2013

Microsoft�Visual�Studio�Solution�File,�Format�Version�12.00
#�Visual�Studio�14

Microsoft�Visual�Studio�Solution�File,�Format�Version�12.00
#�Visual�Studio�15

#4172 と合わせて次のようにする

vcversions�=�{....
��������������"VC12":�{"sln":�"12.00",�"vc":�"2013"},
��������������"VC14":�{"sln":�"12.00",�"vc":�"14"},
��������������"VC141":�{"sln":�"12.00",�"vc":�"15"},

関係しているリビジョン
リビジョン 3043 - 2017/09/15 16:14 - kawauchi

[compat,bugfix,->RELENG_1_2] The header setting of the Visual Studio solution file has been fixed.  refs #4201 and #4172

リビジョン 3043 - 2017/09/15 16:14 - kawauchi

[compat,bugfix,->RELENG_1_2] The header setting of the Visual Studio solution file has been fixed.  refs #4201 and #4172

リビジョン 3107 - 2017/12/10 15:15 - n-ando

merged changed from trunk/OpenRTM-aist r3037-3038, 3042-3048, 3089 during 2017-09:
[incompat,->RELENG_1_2] omniORB's shortcut POA is applied to data ports. refs #4176

2024/03/13 1/2

http://svn.openrtm.org/OpenRTM-aist/trunk/OpenRTM-aist/build/slntool.py


[incompat,->RELENG_1_2] omniORB's shortcut POA is applied to data ports. refs #4176
[compat,->RELENG_1_2] Analyzer sample has been added in windows source package.  refs #4202
[compat,bugfix,->RELENG_1_2] The header setting of the Visual Studio solution file has been fixed.  refs #4201 and #4172
[compat,->RELENG_1_2] vc2017 version has been changed from vc15 to vc141.  refs #4172
[compat,->RELENG_1_2] vc2017 version has been changed from vc15 to vc141.  refs #4172
[compat,rtc.conf,->RELENG_1_2] A bug in preconnection option parser, which crash when ConnectorProfiles are not given or invalid format, fixed.
[compat,->RELENG_1_2] When executing cmake, it is not influenced by the system environment variable. refs #4171
[compat,example,->RELENG_1_2] Throughput measurement component example added.
[incompat,->RELENG_1_2] Extension module header files have been added to rpm package.  refs #4368

リビジョン 3107 - 2017/12/10 15:15 - n-ando

merged changed from trunk/OpenRTM-aist r3037-3038, 3042-3048, 3089 during 2017-09:
[incompat,->RELENG_1_2] omniORB's shortcut POA is applied to data ports. refs #4176
[incompat,->RELENG_1_2] omniORB's shortcut POA is applied to data ports. refs #4176
[compat,->RELENG_1_2] Analyzer sample has been added in windows source package.  refs #4202
[compat,bugfix,->RELENG_1_2] The header setting of the Visual Studio solution file has been fixed.  refs #4201 and #4172
[compat,->RELENG_1_2] vc2017 version has been changed from vc15 to vc141.  refs #4172
[compat,->RELENG_1_2] vc2017 version has been changed from vc15 to vc141.  refs #4172
[compat,rtc.conf,->RELENG_1_2] A bug in preconnection option parser, which crash when ConnectorProfiles are not given or invalid format, fixed.
[compat,->RELENG_1_2] When executing cmake, it is not influenced by the system environment variable. refs #4171
[compat,example,->RELENG_1_2] Throughput measurement component example added.
[incompat,->RELENG_1_2] Extension module header files have been added to rpm package.  refs #4368

履歴
#1 - 2017/09/15 18:13 - n.kawauchi

- ステータス を 新規 から 解決 に変更

- 進捗率 を 0 から 100 に変更

r4201,4172 で対応完了。
